# Interface ErrorHandlingConfig

Error configuration object. May only contain the options that need to be updated.

interface ErrorHandlingConfig {
objectMaxDepth?: number;
urlErrorParamsEnabled?: boolean;
}

- Defined in src/shared/utils.js:980

##### Index

### Properties

objectMaxDepth?
urlErrorParamsEnabled?

## Properties

### `Optional` objectMaxDepth

objectMaxDepth?: number

The max depth for stringifying objects. Setting to a non-positive or non-numeric value removes the max depth limit. Default: 5.

- Defined in src/shared/utils.js:982

### `Optional` urlErrorParamsEnabled

urlErrorParamsEnabled?: boolean

Specifies whether the generated error URL will contain the parameters of the thrown error. Default: true. When used without argument, it returns the current value.

- Defined in src/shared/utils.js:984